##### 7.5.21.0. normalizeMonoidal

Procedure from library `olga.lib` (see olga_lib).

Usage:
  normalizeMonoidal(L), list L

Purpose:
  compute a normal form of monoidal localization data

Return:
  list

Note:
  given a list of polys, returns a list of all unique factors appearing in the given polys

Example:

    LIB "olga.lib";
    ring R = 0,(x,y,Dx,Dy),dp;
    def S = Weyl(); setring S;
    list L = x^2*y^3, (x+1)*(x*y-3*y^2+1);
    L = normalizeMonoidal(L);
    print(L);
    ==> [1]:
    ==>    x*y-3*y^2+1
    ==> [2]:
    ==>    x+1
    ==> [3]:
    ==>    x
    ==> [4]:
    ==>    y

User manual for Singular version 4.4.1, 2025, generated by texi2html.